<?php
    lt_include( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
    lt_include( PLOG_CLASS_PATH."class/plugin/pluginmanager.class.php" );
    
    class PluginSubscribeShowView extends PluginTemplatedView{
        function PluginSubscribeShowView($blogInfo){
            $this->PluginTemplatedView($blogInfo, "subscribe", "register", SMARTY_VIEW_CACHE_DISABLED);
        }
        
        function render(){
			$blogSettings = $this->_blogInfo->getSettings();

            $pluginEnabled = $blogSettings->getValue("plugin_subscribe_enabled");
            $this->setValue("pluginEnabled", $pluginEnabled);

            $categories = $this->_getArticleCategories();
            $this->setValue("availableCategories", $categories);

            parent::render();
        }
    }
?>